#!/usr/bin/perl

use bignum;

open FH, $ARGV[0] or
    die "Error on opening the answer file";

$n = 0;

while(<FH>) {
    $out = <STDIN>;
    $ans = $_;

    $n++;

    unless($out =~ /^(0|[1-9][0-9]*) ((0|[1-9][0-9]*)(\.[0-9]*)?|\.[0-9]+)$/) {
        print STDERR "Case $n: Illegal format.\n";
        exit 1;
    }

    chomp($out);
    chomp($ans);

    ($o1,$o2) = split(/ /, $out);
    ($a1,$a2) = split(/ /, $ans);

    $o2 = $o2 * 1.0;
    $a2 = $a2 * 1.0;

    unless($o1 == $a1 && abs($o2 - $a2) < 0.001) {
        print STDERR "Case $n: Incorrect.\n";
        exit 1;
    }
}

close FH;

if(<STDIN>) {
    print STDERR "Extra text at end-of-file.\n";
    exit 1;
}

print STDERR "Accepted.\n";
exit 0;
